package com.ypsx.base.util

import java.util.regex.Pattern

const val REGEX_MOBILE_SIMPLE = "^[1]\\d{10}$"
object RegexUtils {
    private fun isMatch(regex: String, input: CharSequence): Boolean {
        return input.isNotEmpty() && Pattern.matches(regex, input)
    }


    fun isMobileSimple(input: CharSequence): Boolean {
        return isMatch(REGEX_MOBILE_SIMPLE, input)
    }
}